Name:           libmetalink
Version:        0.0.3
Release:        5%{?dist}
Summary:        A Metalink C library
Group:          System Environment/Libraries
License:        MIT
URL:            https://launchpad.net/libmetalink
Source0:        http://launchpad.net/libmetalink/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  expat-devel

%description
libmetalink is a Metalink C library. It adds Metalink functionality such as
parsing Metalink XML files to programs written in C.

%package       devel
Summary:       A Metalink C library devel package
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
Files needed for building applications with libmetalink.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name *.la -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README 
%doc %{_docdir}/libmetalink/sample.c 
%doc %{_docdir}/libmetalink/ubuntu-7_10-server-i386_iso.metalink
%{_libdir}/libmetalink.so.*
%{_mandir}/man3/*


%files devel
%defattr(-,root,root,-)
%{_includedir}/metalink/
%{_includedir}/metalink/metalink*.h
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 07 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-4
- Remove Provides: libmetalink-static = %{version}-%{release}

* Tue May 06 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-3
- Use %{_docdir} instead of /usr/share/doc
- Own /usr/include/metalink

* Wed Apr 29 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-2
- Incorporate suggested changes: remove .la files, --disable static.

* Mon Apr 27 2009 Ant Bryan <anthonybryan at gmail.com> - 0.0.3-1
- Initial package, 0.0.3.

